%global srcname xhtml2pdf
%global sum HTML/CSS to PDF converter based on Python

Name:           python-%{srcname}
Version:        0.1a2
Release:        2%{?dist}
Summary:        %{sum}

# licensed under ASL 2.0 and BSD-License
# BSD licensed: xhtml2pdf/w3c/*
License:        ASL 2.0 and BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/x/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


%description
xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS 3). It is
completely  written in pure Python so it is platform independent.

The main benefit of this tool that a user with Web skills like HTML and CSS
is able to generate PDF templates very quickly without learning new
technologies.

%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       pyPdf
Requires:       python-reportlab
Requires:       python-pillow
Requires:       python-html5lib
Requires:       python-httplib2
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-coverage
BuildRequires:  python-nose
BuildRequires:  python-PyPDF2
BuildRequires:  python-reportlab
BuildRequires:  python-pillow
BuildRequires:  python-html5lib
BuildRequires:  python-httplib2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS 3). It is
completely  written in pure Python so it is platform independent.

The main benefit of this tool that a user with Web skills like HTML and CSS
is able to generate PDF templates very quickly without learning new
technologies.

%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       pyPdf
Requires:       python3-reportlab
Requires:       python3-pillow
Requires:       python3-html5lib
Requires:       python3-httplib2
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-coverage
BuildRequires:  python3-nose
BuildRequires:  python3-PyPDF2
BuildRequires:  python3-reportlab
BuildRequires:  python3-pillow
BuildRequires:  python3-html5lib
BuildRequires:  python3-httplib2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS 3). It is
completely  written in pure Python so it is platform independent.

The main benefit of this tool that a user with Web skills like HTML and CSS
is able to generate PDF templates very quickly without learning new
technologies.


%prep
%autosetup -n %{srcname}-%{version}

# Strip shebang lines
sed -i '/^#!\/usr\/bin\/env python$/d' xhtml2pdf/w3c/*.py
sed -i '/^#!\/bin\/env\/python$/d' xhtml2pdf/*.py

%build
%py2_build
%py3_build

%install
%py3_install

# Move Python 3 executables
mv %{buildroot}%{_bindir}/pisa %{buildroot}%{_bindir}/pisa-%{python3_version}
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python3_version}

%py2_install
# Move Python 2 executables
mv %{buildroot}%{_bindir}/pisa %{buildroot}%{_bindir}/pisa-%{python2_version}
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python2_version}

# Create bare executable symlinks
ln -s ./pisa-2 %{buildroot}%{_bindir}/pisa
ln -s ./%{srcname}-2 %{buildroot}%{_bindir}/%{srcname}

%check
# Tests currently require internet access, so they are disabled for now
#%{__python2} setup.py test
#%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.rst VERSION.txt MANIFEST.in
%license LICENSE.txt
%{python2_sitelib}/*
%{_bindir}/pisa-%{python2_version}
%{_bindir}/%{srcname}-%{python2_version}

%files -n python3-%{srcname}
%doc README.rst VERSION.txt MANIFEST.in
%license LICENSE.txt
%{python3_sitelib}/*
%{_bindir}/pisa-%{python3_version}
%{_bindir}/%{srcname}-%{python3_version}
%{_bindir}/pisa
%{_bindir}/%{srcname}


%changelog
* Thu May 05 2016 Major Hayden <major@mhtx.net> - 0.1a2-2
- Fixes for Python 3 packaging

* Mon May 02 2016 Major Hayden <major@mhtx.net> - 0.1a2-1
- New upstream version
- Added Python 3 subpackage (RHBZ 1323170)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 11 2015 Major Hayden <major@mhtx.net> - 0.0.6-1
- New upstream release 0.0.6

* Fri Jul 03 2015 Matej Cepl <mcepl@redhat.com> - 0.0.5-4
- Fix FTBFS (python setup.py test is broken, so I have commented it out)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Matthias Runge <mrunge@redhat.com> - 0.0.5-1
- update to latest stable version
- fix ftbfs (rhbz#993183)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 12 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.4-1
- update to latest upstream version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-3
- fix tests to complete testing
- add comment about required html5lib and httplib2

* Mon Feb 13 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-2
- be more explicit in %%files-section

* Tue Feb 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-1
- initial packaging
